#define codeVersion "Solar tracker 5.7.2014"

double loopMillis, sensorMillis;
float sensorEast, sensorWest, temp;

void setup() 
{
  Serial.begin(9600);
  Serial.println(codeVersion);
  Serial.println("pins:");
  Serial.println("A2 - sensor East");
  Serial.println("A3 - sensor West");
  Serial.println("D2 - output move East");
  pinMode(2, OUTPUT);
  Serial.println("D3 - output move West");
  pinMode(3, OUTPUT);
}

void loop()
{  
  loopMillis=millis();

  if (loopMillis-sensorMillis>1000)
  {
    sensorMillis=loopMillis;
    sensorEast=sensorEast*.9+analogRead(A2)*.1;
    Serial.print(analogRead(A2));
    Serial.print("East sensor: ");
    Serial.println(sensorEast);
    sensorWest=sensorWest*.9+analogRead(A3)*.1;
    Serial.print(analogRead(A3));
    Serial.print(" West sensor: ");
    Serial.println(sensorWest);
    Serial.println(" ");
  }

  if (sensorEast-sensorWest>5)
  {
     digitalWrite(2,0);  //Move to East Start
  }
  else
  {
     digitalWrite(2,1);   //Move to East Stop
  }

  if (sensorWest-sensorEast>5)
  {
     digitalWrite(3,0); //Move to West Start
  }
  else
  {
     digitalWrite(3,1);  //Move to West Stop
  }
  
  if (sensorWest<100 && sensorEast<100) //Move Stop
  {
     digitalWrite(2,1);
     digitalWrite(3,1);
  }
}
